# ShowSimplePlural.py
# CS-1110 Profs
# March 2016

""" Illustrates the function simplePlural.
"""

from GetData import fileToStringList

def SimplePlural(L):
    """ Returns a list of simple plurals
    
    An entry in L is a "simple plural" if it is the concatenation
    of the previous entry in L with the character 's'. 
    
    PreC: L is a sorted list of strings each made up of lower case letters
    """ 
    T = []
    n = len(L)
    for k in range(1,n):
        s1 = L[k-1]        # The previous entry in L
        s2 = L[k]          # The "current" entry in L
        m = len(s2)
        if s2[m-1]=='s' and s1==s2[:m-1]:
            T.append(s2)
    return T

if __name__ == '__main__':
    L = fileToStringList('EnglishWords.txt')
    # L = L[:5000]   # Shorten L for quicker runs
    print '\nlen(L) = %1d \n' % len(L)
    
    Y = SimplePlural(L)
    print 'The number of simple plurals is %1d' % len(Y)
  
    

    
   
    
            

